@font-face {
    font-family: 'Frighted';
    src: url(https://dl.dropbox.com/s/ct0s037q78sao3f/Frighted.ttf);
}

mark {
    font-family: 'Frighted';
    background: linear-gradient(#E87FAB 50%, white);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 1.5em;
}

* {
    cursor: url('https://cur.cursors-4u.net/css/colorful-rose-5e81d196-css.cur') 0 0, auto !important;
}

@font-face {
    font-family: 'starborn';
    src: url(https://dl.dropbox.com/s/l0541on0m5eqvdj/Starborn.ttf);
}

.credit {
    position: absolute;
    top: 10px; 
    left: 10px; 
    font-size: 20px;
}


body {
    margin: 0; 
    padding: 0;  
    display: flex;
    flex-direction: column;
    gap: 20px; 
 background-image: url('https://dl.glitter-graphics.com/pub/3008/3008707b03lhgyry9.gif');
background-attachment: fixed;
background-repeat: repeat;
    align-items: center;
    font-family: 'PixelOperator';
    min-height: 100vh; 
    color: var(--secondary); 
}

@font-face {
    font-family: PixelOperator;
    src: url(/assets/fonts/PixelOperator.ttf);
}

:root {
    --primary: #F4C2D4;
    --box-shadow: rgba(232, 127, 171, 0.3);
    --secondary: #E87FAB;
    --hover: #f7abcf;
}


a {
    text-decoration: none;
    color: inherit; 
}

p {
    margin: 0; 
    font-size: 20px;
    line-height: 1.2;
}

.bold {
    font-weight: bold;
}

/* i got my logo image from gigaglitters.com. the font i used was "Diploma" 
and the glitter i used was the default color*/
.header-logo {
    width: 400px;
}

.container {
    display: flex;
    flex-wrap: nowrap;
    gap: 30px; 
    width: 900px;
    min-width:900px;
    min-height: 100vh;
    justify-content: center;
}

.left-sidebar, .right-sidebar {
    height: 100%; 
    flex: 0 0 300px;
    min-height: 100vh;
    min-width: 350px;
    padding: 10px; 
    display: flex;
    flex-direction: column;
    gap: 15px; 
}

main {
    flex: 1;
    padding: 10px; 
    padding-top: 10px; 
    min-width: 0;
    display: flex;
    flex-direction: column;
    gap: 15px; 
}

.window {
    display: flex;
    flex-direction: column;
    gap: 5px; 
    padding: 10px; 
    background-color: var(--primary);
    box-shadow: 4px 4px var(--box-shadow); 
    border: 2px solid var(--secondary); 
    transition: all 0.3s ease;
    border-radius: 10px;
}

.window:hover {
    background-color: var(--hover);
}

.window-title-bar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-size: 25px;
    border: 2px solid var(--secondary); 
    padding: 5px 3px; 
    background-color: white;
    font-weight: bold; 
}

.window-icon-bar {
    display: flex;
    gap: 3px; 
    font-weight: bold;
}

.window-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1;
    border: 2px solid var(--secondary); 
    font-size: 20px;
    width: 20px;
    height: 20px; 
}

.window-content {
    background-color: white;
    border: 2px solid var(--secondary); 
    gap: 3px; 
    padding: 5px; 
}

.window-content.bio {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.window-content-bio-list {
    display: flex;
    flex-direction: column; 
}




.pfp {
    width: 60px;
    aspect-ratio: 1;
    border: 2px solid var(--secondary); 
}

.contact-username:hover {
    border-bottom: 1px dotted var(--secondary); 
}

.contact-link {
    display: flex;
}

.window-content-img {
    width: 100%; 
    height: auto;
}

.window-content.nav {
    display: flex;
    align-items: center;
    justify-content: center;
}

button {
    padding: 4px 20px; 
    border-radius: 0;
    background-color: var(--primary);
    border: 2px solid var(--secondary); 
    font-family: inherit;
    font-size: 20px;
    color: inherit; 
    transition: all 0.3s ease;
}

button:hover {
    background-color: var(--hover);
}

.button-txt {
    transition: all 0.3s ease;
}

.button-txt:hover {
    border-bottom: 2px dotted var(--secondary); 
}

.window-content.music {
    display: flex;
    gap: 10px; 
}

.album-cover {
    width: 60px;
    border: 2px solid var(--secondary); 
}

.estrogen-tracker {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.song-author {
    font-size: 15px;
}

.estrogen {
    display: flex;
    justify-content: space-between;
    gap: 10px; 
    margin-top: 5px; 
    align-items: center;
}

.progress-bar {
    position: relative;
    height: 4px; 
    width: 85%;
    background-color: var(--primary);
}

.progress-dot {
    position: absolute;
    top: -1.5px; 
    left: 0; 
    width: 7px; 
    height: 7px; 
    background-color: var(--secondary);
}

.music-time {
    width: 15%;
}
/* This is my introduction */
.window-content.home {
    display: flex;
    gap: 20px; 
}

.home-txt {
    display: flex;
    flex-direction: column;
    gap: 0px; 
}

.home-img {
    aspect-ratio: 1;
    width: 300px;
    height: 300px; 
    border: 2px solid var(--secondary)
}

.window-content.other-sites {
    display: flex;
    gap: 2px; 
}

.other-sites-scroll-box {
    display: flex;
    gap: 2px;
}

.window-content.link-back {
    display: flex;
    flex-direction: column;
    gap: 5px; 
    align-items: center;
    justify-content: center;
}

.site-btn {
    width: 88px; 
    height: 31px; 
}

textarea {
    background-color: var(--hover);
    color: var(--secondary); 
    font-family: inherit;
    font-size: 20px;
}

.window-content.webrings {
    display: flex;
    flex-direction: column;
    gap: 10px; 
    overflow-y: scroll;
    max-height: 200px;
}

.webring-placeholder-box {
    border: 2px solid var(--secondary); 
    height: 200px; 
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}